let H =
      https://gitlab.horizon-haskell.net/dhall/horizon-spec/-/raw/0.10.0/horizon-spec/package.dhall

let packages =
      { Chart = H.callHackage "Chart" "1.9.5"
      , Chart-cairo = H.callHackage "Chart-cairo" "1.9.4.1"
      , HList = H.callHackage "HList" "0.5.3.0"
      , HTF = H.callHackage "HTF" "0.15.0.1"
      , HaTeX = H.callHackage "HaTeX" "3.22.4.1"
      , Rlang-QQ = H.callHackage "Rlang-QQ" "0.3.1.0"
      , apply-refact = H.callHackage "apply-refact" "0.14.0.0"
      , bibtex = H.callHackage "bibtex" "0.1.0.7"
      , cairo = H.callHackage "cairo" "0.13.10.0"
      , data-accessor = H.callHackage "data-accessor" "0.2.3.1"
      , data-accessor-transformers =
          H.callHackage "data-accessor-transformers" "0.2.1.8"
      , diagrams = H.callHackage "diagrams" "1.4.1"
      , diagrams-cairo = H.callHackage "diagrams-cairo" "1.4.2.1"
      , diagrams-contrib = H.callHackage "diagrams-contrib" "1.4.5.1"
      , diagrams-core = H.callHackage "diagrams-core" "1.5.1.1"
      , diagrams-lib = H.callHackage "diagrams-lib" "1.4.6"
      , diagrams-solve = H.callHackage "diagrams-solve" "0.1.3"
      , diagrams-svg = H.callHackage "diagrams-svg" "1.4.3.1"
      , fourmolu = H.callHackage "fourmolu" "0.14.1.0"
      , fsnotify = H.callHackage "fsnotify" "0.4.1.0"
      , ghc-check = H.callHackage "ghc-check" "0.5.0.8"
      , ghc-exactprint = H.callHackage "ghc-exactprint" "1.8.0.0"
      , ghc-lib-parser = H.callHackage "ghc-lib-parser" "9.8.1.20231121"
      , ghc-lib-parser-ex = H.callHackage "ghc-lib-parser-ex" "9.8.0.0"
      , ghc-parser = H.callHackage "ghc-parser" "0.2.6.0"
      , ghc-syntax-highlighter =
          H.callHackage "ghc-syntax-highlighter" "0.0.11.0"
      , ghcid = H.callHackage "ghcid" "0.8.9"
      , ghcide = H.callHackage "ghcide" "2.6.0.0"
      , ghcide-bench = H.callHackage "ghcide-bench" "2.6.0.0"
      , ghcide-test-utils = H.callHackage "ghcide-test-utils" "1.9.0.0"
      , glib = H.callHackage "glib" "0.13.10.0"
      , gnuplot = H.callHackage "gnuplot" "0.5.7"
      , haskell-language-server =
          (H.callHackage "haskell-language-server" "2.6.0.0")
        with flags =
          [ H.CabalFlag.Disable "ormolu"
          , H.CabalFlag.Disable "refine-imports"
          , H.CabalFlag.Disable "hlint"
          , H.CabalFlag.Disable "rename"
          , H.CabalFlag.Disable "stylishHaskell"
          , H.CabalFlag.Disable "eval"
          , H.CabalFlag.Disable "stan"
          , H.CabalFlag.Disable "floskell"
          ]
      , here = H.callHackage "here" "1.2.14"
      , hie-bios = H.callHackage "hie-bios" "0.13.1"
      , hie-compat = H.callHackage "hie-compat" "0.3.1.2"
      , hiedb =
          H.callGit
            "https://github.com/wz1000/HieDB"
            "62ef191df2c1ce3324c2dfc2f2a574863642435d"
            (None H.Subdir)
      , hinotify = H.callHackage "hinotify" "0.4.1"
      , hfsevents = H.callHackage "hfsevents" "0.1.7"
      , hlint =
          H.callGit
            "https://github.com/ndmitchell/hlint"
            "449f466bda01e782a1f1b6133f150160701ca371"
            (None H.Subdir)
      , hls-alternate-number-format-plugin =
          H.callHackage "hls-alternate-number-format-plugin" "2.6.0.0"
      , hls-cabal-fmt-plugin = H.callHackage "hls-cabal-fmt-plugin" "2.6.0.0"
      , hls-cabal-plugin = H.callHackage "hls-cabal-plugin" "2.6.0.0"
      , hls-call-hierarchy-plugin =
          H.callHackage "hls-call-hierarchy-plugin" "2.6.0.0"
      , hls-change-type-signature-plugin =
          H.callHackage "hls-change-type-signature-plugin" "2.6.0.0"
      , hls-class-plugin = H.callHackage "hls-class-plugin" "2.6.0.0"
      , hls-code-range-plugin = H.callHackage "hls-code-range-plugin" "2.6.0.0"
      , hls-explicit-fixity-plugin =
          H.callHackage "hls-explicit-fixity-plugin" "2.6.0.0"
      , hls-explicit-imports-plugin =
          H.callHackage "hls-explicit-imports-plugin" "2.6.0.0"
      , hls-explicit-record-fields-plugin =
          H.callHackage "hls-explicit-record-fields-plugin" "2.6.0.0"
      , hls-fourmolu-plugin = H.callHackage "hls-fourmolu-plugin" "2.6.0.0"
      , hls-gadt-plugin = H.callHackage "hls-gadt-plugin" "2.6.0.0"
      , hls-graph = H.callHackage "hls-graph" "2.6.0.0"
      , hls-hlint-plugin = H.callHackage "hls-hlint-plugin" "2.6.0.0"
      , hls-module-name-plugin =
          H.callHackage "hls-module-name-plugin" "2.6.0.0"
      , hls-overloaded-record-dot-plugin =
          H.callHackage "hls-overloaded-record-dot-plugin" "2.6.0.0"
      , hls-plugin-api = H.callHackage "hls-plugin-api" "2.6.0.0"
      , hls-pragmas-plugin = H.callHackage "hls-pragmas-plugin" "2.6.0.0"
      , hls-qualify-imported-names-plugin =
          H.callHackage "hls-qualify-imported-names-plugin" "2.6.0.0"
      , hls-refactor-plugin = H.callHackage "hls-refactor-plugin" "2.6.0.0"
      , hls-retrie-plugin = H.callHackage "hls-retrie-plugin" "2.6.0.0"
      , hls-semantic-tokens-plugin =
          H.callHackage "hls-semantic-tokens-plugin" "2.6.0.0"
      , hls-splice-plugin = H.callHackage "hls-splice-plugin" "2.6.0.0"
      , hls-test-utils = H.callHackage "hls-test-utils" "2.6.0.0"
      , hmatrix = H.callHackage "hmatrix" "0.20.2"
      , hp2pretty = H.callHackage "hp2pretty" "0.10"
      , ihaskell = H.callHackage "ihaskell" "0.11.0.0"
      , ihaskell-aeson = H.callHackage "ihaskell-aeson" "0.3.0.1"
      , ihaskell-blaze = H.callHackage "ihaskell-blaze" "0.3.0.1"
      , ihaskell-charts = H.callHackage "ihaskell-charts" "0.3.0.1"
      , ihaskell-diagrams = H.callHackage "ihaskell-diagrams" "0.4.0.0"
      , ihaskell-gnuplot = H.callHackage "ihaskell-gnuplot" "0.1.0.1"
      , ihaskell-graphviz = H.callHackage "ihaskell-graphviz" "0.1.0.0"
      , ihaskell-hatex = H.callHackage "ihaskell-hatex" "0.2.1.1"
      , ihaskell-juicypixels = H.callHackage "ihaskell-juicypixels" "1.1.0.1"
      , ihaskell-magic = H.callHackage "ihaskell-magic" "0.3.0.1"
      , ihaskell-plot = H.callHackage "ihaskell-plot" "0.3.0.1"
      , ihaskell-widgets = H.callHackage "ihaskell-widgets" "0.4.0.0"
      , implicit-hie = H.callHackage "implicit-hie" "0.1.4.0"
      , ipython-kernel = H.callHackage "ipython-kernel" "0.11.0.0"
      , latex = H.callHackage "latex" "0.1.0.4"
      , list-t = H.callHackage "list-t" "1.0.5.7"
      , lsp = H.callHackage "lsp" "2.3.0.0"
      , lsp-test = H.callHackage "lsp-test" "0.16.0.1"
      , lsp-types = H.callHackage "lsp-types" "2.1.0.0"
      , magic = H.callHackage "magic" "1.1"
      , pango = H.callHackage "pango" "0.13.10.0"
      , plot =
          H.callGit
            "https://github.com/codedownio/haskell-plot"
            "dfa26022b5815bcd6a5dd6c818fcd2c4d25c6d44"
            (None H.Subdir)
      , primitive-extras = H.callHackage "primitive-extras" "0.10.1.10"
      , repa = H.callHackage "repa" "3.4.1.5"
      , retrie = H.callHackage "retrie" "1.2.3"
      , singletons-base = H.callHackage "singletons-base" "3.3"
      , singletons-th = H.callHackage "singletons-th" "3.3"
      , stm-containers = H.callHackage "stm-containers" "1.2.0.3"
      , stm-hamt = H.callHackage "stm-hamt" "1.2.0.14"
      , storable-complex = H.callHackage "storable-complex" "0.2.3.0"
      , xformat = H.callHackage "xformat" "0.1.2.1"
      , zeromq4-haskell = H.callHackage "zeromq4-haskell" "0.8.0"
      }

in  H.HorizonExport.MakeOverlay
      { overlayFile = "overlay.nix"
      , packagesDir = "pkgs/"
      , overlay = { compiler = "ghc-9.8.1", packages = toMap packages }
      }
