{ mkDerivation, aeson, aeson-pretty, async, base, base16-bytestring
, binary, bytestring, containers, cryptohash-sha1, data-default
, deepseq, directory, extra, filepath, ghc, ghc-boot-th, ghc-paths
, ghcide, ghcide-test-utils, githash, gitrev, hashable, hie-bios
, hiedb, hls-alternate-number-format-plugin, hls-cabal-fmt-plugin
, hls-cabal-plugin, hls-call-hierarchy-plugin
, hls-change-type-signature-plugin, hls-code-range-plugin
, hls-explicit-fixity-plugin, hls-explicit-imports-plugin
, hls-explicit-record-fields-plugin, hls-fourmolu-plugin, hls-graph
, hls-module-name-plugin, hls-overloaded-record-dot-plugin
, hls-plugin-api, hls-pragmas-plugin
, hls-qualify-imported-names-plugin, hls-semantic-tokens-plugin
, hls-test-utils, lens, lens-aeson, lib, lsp, lsp-test, lsp-types
, mtl, optparse-applicative, optparse-simple, prettyprinter
, process, regex-tdfa, row-types, safe-exceptions, sqlite-simple
, stm, temporary, text, transformers, unix, unliftio-core
, unordered-containers
}:
mkDerivation {
  pname = "haskell-language-server";
  version = "2.6.0.0";
  sha256 = "3655b8d741616f8e32d0181274f80a48d9b8dca47d3fd22675cadfa01ca80e48";
  configureFlags = [
    "-f-eval" "-f-floskell" "-f-hlint" "-f-ormolu" "-f-refine-imports"
    "-f-rename" "-f-stan" "-f-stylishhaskell"
  ];
  isLibrary = true;
  isExecutable = true;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    aeson-pretty async base base16-bytestring bytestring containers
    cryptohash-sha1 data-default directory extra filepath ghc ghcide
    githash hie-bios hiedb hls-alternate-number-format-plugin
    hls-cabal-fmt-plugin hls-cabal-plugin hls-call-hierarchy-plugin
    hls-change-type-signature-plugin hls-code-range-plugin
    hls-explicit-fixity-plugin hls-explicit-imports-plugin
    hls-explicit-record-fields-plugin hls-fourmolu-plugin hls-graph
    hls-module-name-plugin hls-overloaded-record-dot-plugin
    hls-plugin-api hls-pragmas-plugin hls-qualify-imported-names-plugin
    hls-semantic-tokens-plugin lsp optparse-applicative optparse-simple
    prettyprinter process safe-exceptions sqlite-simple text
    unordered-containers
  ];
  executableHaskellDepends = [
    aeson async base base16-bytestring binary bytestring containers
    cryptohash-sha1 data-default deepseq directory extra filepath ghc
    ghc-boot-th ghc-paths ghcide gitrev hashable hie-bios hiedb
    hls-graph hls-plugin-api lens lsp lsp-types mtl
    optparse-applicative optparse-simple prettyprinter process
    regex-tdfa safe-exceptions sqlite-simple stm temporary text
    transformers unix unliftio-core unordered-containers
  ];
  testHaskellDepends = [
    aeson base bytestring containers data-default deepseq directory
    extra filepath ghcide ghcide-test-utils hashable hls-plugin-api
    hls-test-utils lens lens-aeson lsp-test lsp-types prettyprinter
    process row-types text unordered-containers
  ];
  testToolDepends = [ ghcide ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/haskell/haskell-language-server#readme";
  description = "LSP server for GHC";
  license = lib.licenses.asl20;
  broken = false;
}